import { Atom } from '@cn-ui/use';
import { SpaceProps } from '@cn-ui/core';
import { CheckBoxProps } from './CheckBox';
export declare type CheckGroupData = Omit<CheckBoxProps, 'value'> & {
    value: Atom<boolean>;
};
export interface CheckGroupProps extends SpaceProps {
    options: CheckGroupData[] | Atom<CheckGroupData[]>;
    maxCheck?: number;
    /** 当用户试图选中超出 maxCheck 的数目时发生的事件，注意 maxCheck 为 1 时是单选框，有特殊效果 */
    onOverCheck?: (e: any) => void;
}
export declare const CheckGroup: import("solid-js").Component<Omit<CheckGroupProps, "style" | "class"> & {
    ref?: HTMLDivElement | ((el: HTMLDivElement) => void);
    style?: string | import("solid-js").JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
